Skip to content
Market Data

Get Option-Chain Strike List for a Specified Expiration

Query the strike list for an underlying's option chain by expiration; each strike includes the corresponding call/put contract codes. Used to display data after switching expiration on the option chain page.

GEThttps://api.lbkrs.com/v4/gemini/option-list

Parameters

underlying_counter_idstringqueryRequired

Underlying stock counter_id

expire_datestringqueryRequired

Expiration date, format YYYYMMDD

standard_attrstringqueryRequired

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy order flows and position adjustments may exclude N)

Responses

HTTP 200The request succeeded. The response body contains the result of the “Get option-chain strike list for a specified expiration” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
strike_pricearray<object>

Strike list

Child attributes
pricestring

Strike price

call_counter_idstring

Call option contract id

put_counter_idstring

Put option contract id

standard_attrstring

Standard attribute:

  • S - Standard option
  • N - Non-standard option (adjusted options generated after corporate actions such as stock splits/mergers; Broker App labels as Old; some multi-leg strategy order flows and position adjustments may exclude N)
call_support_extendinteger

Call contract supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
put_support_extendinteger

Put contract supports extended sessions (pre-market/after-hours/night) quotes:

  • 1 - Supported
  • 0 - Not supported
Whale Docs